{
  "name": "portfolio",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "db:generate": "prisma generate",
    "db:push": "prisma db push",
    "db:studio": "prisma studio"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.1001.0",
    "@hookform/resolvers": "^3.9.1",
    "@prisma/adapter-pg": "^7.4.2",
    "@prisma/client": "^7.4.2",
    "@tailwindcss/cli": "^4.2.1",
    "@tailwindcss/postcss": "^4.2.1",
    "@types/jsonwebtoken": "^9.0.10",
    "@vercel/analytics": "^1.6.1",
    "bcrypt": "^6.0.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "date-fns": "^4.1.0",
    "framer-motion": "^11.15.0",
    "install": "^0.13.0",
    "jose": "^6.1.3",
    "jsonwebtoken": "^9.0.3",
    "lottie-react": "^2.4.1",
    "lucide-react": "^0.468.0",
    "next": "16.2.0-canary.72",
    "next-themes": "^0.4.6",
    "nodemailer": "^6.9.16",
    "pg": "^8.19.0",
    "react": "19.2.4",
    "react-dom": "19.2.4",
    "react-hook-form": "^7.54.2",
    "react-icons": "^5.5.0",
    "react-syntax-highlighter": "^16.1.1",
    "tailwind-merge": "^2.5.5",
    "tailwindcss-animate": "^1.0.7",
    "zod": "^3.24.1"
  },
  "devDependencies": {
    "@types/bcrypt": "^6.0.0",
    "@types/node": "^22",
    "@types/pg": "^8.18.0",
    "@types/react": "19.2.14",
    "@types/react-dom": "19.2.3",
    "@types/react-syntax-highlighter": "^15.5.13",
    "autoprefixer": "^10.0.1",
    "dotenv": "^17.3.1",
    "eslint": "^9",
    "eslint-config-next": "16.2.0-canary.72",
    "postcss": "^8",
    "prisma": "^7.4.2",
    "tailwindcss": "^3.4.17",
    "tsx": "^4.21.0",
    "typescript": "^5"
  },
  "pnpm": {
    "overrides": {
      "@types/react": "19.2.14",
      "@types/react-dom": "19.2.3"
    },
    "onlyBuiltDependencies": [
      "@parcel/watcher",
      "@prisma/client",
      "@prisma/engines",
      "bcrypt",
      "esbuild",
      "prisma",
      "sharp",
      "unrs-resolver"
    ]
  },
  "prisma": {
    "seed": "tsx prisma/seed.ts"
  }
}
